# Generated by Django 4.1.3 on 2022-11-12 20:46

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Animal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('breed', models.CharField(max_length=50)),
                ('age', models.IntegerField(blank=True, null=True)),
                ('fur_color', models.CharField(max_length=50)),
                ('castrated', models.BooleanField()),
                ('description', models.TextField(blank=True, null=True)),
                ('deficiencies', models.TextField()),
                ('images', models.ImageField(blank=True, null=True, upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address_lat', models.CharField(max_length=30)),
                ('address_long', models.CharField(max_length=30)),
                ('cpf', models.CharField(max_length=11)),
                ('phone_number', models.CharField(blank=True, max_length=15, null=True)),
                ('animals', models.ManyToManyField(blank=True, to='core.animal')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Adopter',
            fields=[
                ('profile_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.profile')),
                ('house_type', models.CharField(max_length=30)),
                ('window_nets', models.BooleanField()),
                ('kids', models.BooleanField()),
            ],
            bases=('core.profile',),
        ),
        migrations.CreateModel(
            name='Cat',
            fields=[
                ('animal_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.animal')),
                ('test_fiv', models.CharField(max_length=20)),
                ('vacc_rabies', models.BooleanField()),
                ('vacc_poli', models.BooleanField()),
            ],
            bases=('core.animal',),
        ),
        migrations.CreateModel(
            name='Dog',
            fields=[
                ('animal_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.animal')),
                ('size', models.CharField(max_length=20)),
                ('test_distemper', models.CharField(max_length=20)),
                ('vacc_rabies', models.BooleanField()),
            ],
            bases=('core.animal',),
        ),
        migrations.CreateModel(
            name='ChatMessage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField()),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('sender', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.profile')),
            ],
        ),
        migrations.CreateModel(
            name='Chat',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('messages', models.ManyToManyField(related_name='messages', to='core.chatmessage')),
                ('users', models.ManyToManyField(related_name='users', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
